Botan 1.10.17

Public Member Functions | Public Attributes | List of all members
Botan::OSSL_BN_CTX Class Reference

`#include <bn_wrap.h>`

## Public Member Functions
OSSL_BN_CTX & | operator= (const OSSL_BN_CTX &)
| OSSL_BN_CTX ()
| OSSL_BN_CTX (const OSSL_BN_CTX &)
| ~OSSL_BN_CTX ()

## Public Attributes
BN_CTX * | value

## Detailed Description

Lightweight OpenSSL BN_CTX wrapper. For internal use only.

Definition at line 42 of file bn_wrap.h.

## Constructor & Destructor Documentation

## ◆ OSSL_BN_CTX() [1/2]

Botan::OSSL_BN_CTX::OSSL_BN_CTX | ( |  | ) |

Definition at line 86 of file bn_wrap.cpp.

References value.

87 {
88 value = BN_CTX_new();
89 }
Botan::OSSL_BN_CTX::value
BN_CTX * value
Definition: bn_wrap.h:45

## ◆ OSSL_BN_CTX() [2/2]

Botan::OSSL_BN_CTX::OSSL_BN_CTX | ( | const OSSL_BN_CTX & |  | ) |

Definition at line 94 of file bn_wrap.cpp.

References value.

95 {
96 value = BN_CTX_new();
97 }
Botan::OSSL_BN_CTX::value
BN_CTX * value
Definition: bn_wrap.h:45

## ◆ ~OSSL_BN_CTX()

Botan::OSSL_BN_CTX::~OSSL_BN_CTX | ( |  | ) |

Definition at line 102 of file bn_wrap.cpp.

References value.

103 {
104 BN_CTX_free(value);
105 }
Botan::OSSL_BN_CTX::value
BN_CTX * value
Definition: bn_wrap.h:45

## Member Function Documentation

## ◆ operator=()

OSSL_BN_CTX & Botan::OSSL_BN_CTX::operator= | ( | const OSSL_BN_CTX & |  | ) |

Definition at line 110 of file bn_wrap.cpp.

References value.

111 {
112 value = BN_CTX_new();
113 return (*this);
114 }
Botan::OSSL_BN_CTX::value
BN_CTX * value
Definition: bn_wrap.h:45

## Member Data Documentation

## ◆ value

BN_CTX* Botan::OSSL_BN_CTX::value

Definition at line 45 of file bn_wrap.h.

Referenced by operator=(), OSSL_BN_CTX(), and ~OSSL_BN_CTX().

The documentation for this class was generated from the following files:

- src/engine/openssl/bn_wrap.h
- src/engine/openssl/bn_wrap.cpp